Opened 17 months ago

Closed 17 months ago

Last modified 8 months ago

#2229 closed Defect (fixed)

bug in ICB behavior along coastlines

Reported by: mathiot Owned by: mathiot
Priority: low Milestone:
Component: TOP Version: release-4.0
Severity: minor Keywords: ICB,
Cc:

Description

BE CAREFUL !!! Due to dynamic behaviour of this ticket creation page, it is highly recommend to set first all other fields before writing the ticket description below.
If you have lost your draft after an unwanted reload, you can click on the link 'Restore Form' in the contextual menu upper right to recover it.
Remove these lines after reading.

Context

In a box configuration with a uniform T/S initialisation (-1.9 and 34.4) without any forcing except, the melt rate is different along the boundary and it should not.

Analysis

The reason is that the masked cell are taking into account for the interpolation of sst at the iceberg location.
This is also the case for many other variables:

  • the iceberg along the coastline feel a warmer/colder sst depending of the sign of the local sst.
  • the interpolation of the ssh is creating an artificial slope toward the coastline or offshore depending of the sign of the local ssh.
  • the atmospheric stress is masked, so value on land is not correct.
  • The ice thickness and concentration over land is also used during interpolation.
  • For the velocity (ocean and ice), the situation is more complex as 0 at a U/V point along the coastline is a valid data (no slip case). The suggested change will not fix the known issue of slip condition of icebergs. ICB feel 0 velocity at the coast or in land.

Recommendation

Change suggested in icb_utl_bilin_h:

  • Add an argument about the use of land value during the interpolation (use it or not in the interpolation)
  • Change accordingly the weight computation

A branch will be created for review before committing the fix to the trunk.

It affect the trunk and NEMO_4.0

Commit History (8)

ChangesetAuthorTimeChangeLog
11890smasson2019-11-12T16:17:11+01:00

v4.0.1: bugfix of [11880], see #2229

10726mathiot2019-02-27T16:06:35+01:00

changes related to bug fixes described in tickets #2228, #2229, #2238 and #1595 in NEMO 4.0

10692mathiot2019-02-15T17:44:51+01:00

delete branch fix_ticket2229 (ticket #2229)

10691mathiot2019-02-15T17:41:15+01:00

merge fix_ticket2229 into the trunk (ticket #2229)

10689mathiot2019-02-15T14:55:37+01:00

update branch to the head of the trunk r10688 (ticket #2229)

10688mathiot2019-02-15T14:42:09+01:00

cosmetic change (ticket #2229)

10678mathiot2019-02-14T14:10:42+01:00

mask used in icb_bilin_h should have extra haloe (ticket #2229)

10652mathiot2019-02-08T11:29:16+01:00

branch and suggested changes for ticket #2229 (iceberg melt along coastlines)

Attachments (1)

icb_bug.png (87.2 KB) - added by mathiot 17 months ago.
Illustration of the issue in GYRE configuration (uniform T/S, no wind, only precip to drive a flat ssh > 0)

Download all attachments as: .zip

Change History (11)

Changed 17 months ago by mathiot

Illustration of the issue in GYRE configuration (uniform T/S, no wind, only precip to drive a flat ssh > 0)

comment:1 Changed 17 months ago by mathiot

Illustration of the issue with a GYRE configuration with uniform T/S, calving and no forcing except a uniform precipitation to drive a positive flat ssh ⇒ icb melt should be uniform. Simulation length : 5d
Illustration of the issue in GYRE configuration (uniform T/S, no wind, only precip to drive a flat ssh > 0)

comment:2 Changed 17 months ago by mathiot

In 10652:

branch and suggested changes for ticket #2229 (iceberg melt along coastlines)

comment:3 Changed 17 months ago by mathiot

In 10678:

mask used in icb_bilin_h should have extra haloe (ticket #2229)

comment:4 Changed 17 months ago by davestorkey

I've reviewed the code changes and I think they are correct.

comment:5 Changed 17 months ago by mathiot

In 10688:

cosmetic change (ticket #2229)

comment:6 Changed 17 months ago by mathiot

In 10689:

update branch to the head of the trunk r10688 (ticket #2229)

comment:7 Changed 17 months ago by mathiot

  • Resolution set to fixed
  • Status changed from new to closed

In 10691:

merge fix_ticket2229 into the trunk (ticket #2229)

comment:8 Changed 17 months ago by mathiot

In 10692:

delete branch fix_ticket2229 (ticket #2229)

comment:9 Changed 17 months ago by mathiot

In 10726:

changes related to bug fixes described in tickets #2228, #2229, #2238 and #1595 in NEMO 4.0

comment:10 Changed 8 months ago by smasson

In 11890:

v4.0.1: bugfix of [11880], see #2229

Note: See TracTickets for help on using tickets.